//
//  CKHotKey.h
//  CKUtil
//
//  Created by CHIKYEOM on 2/5/14.
//  Copyright (c) 2014 Development. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface CKHotKey : NSObject

@property (assign, nonatomic) BOOL enabled;
@property (assign, nonatomic) BOOL commandKey;
@property (assign, nonatomic) BOOL optionKey;
@property (assign, nonatomic) BOOL controlKey;
@property (assign, nonatomic) BOOL shiftKey;
@property (assign, nonatomic) unsigned short keyCode; // kVK_ANSI_A, ...

@property (copy, nonatomic) void(^eventKeyDown)(BOOL isRepeat);
@property (copy, nonatomic) void(^eventKeyUp)();

- (void)loadFromDictionary:(NSDictionary*)dicHotKey;
- (void)saveToDictionary:(NSMutableDictionary*)dicHotKey;
- (void)updateHotKey;

+ (void)disableAllHotKeys;
+ (void)hotKeyRepeatRate:(double)rate;
+ (void)hotKeyRepeatStartInterval:(double)interval;

@end
